      INTERFACE TO SUBROUTINE OPEN_COM [C] (Cport, baud,parity,
     +   stopbits, numbits, handshake, errcode)
      INTEGER * 2 Cport, baud, parity, stopbits, numbits, handshake
      INTEGER * 2 errcode [FAR, REFERENCE]
      END

      INTERFACE TO SUBROUTINE  CLOSE_COM [C]
      END

      INTERFACE TO SUBROUTINE SEND_COM [C] ( c,errcode)
      CHARACTER c
      INTEGER * 2 errcode [FAR, REFERENCE]
      END

      INTERFACE TO SUBROUTINE CHECK_COM [C] ( c,errcode)
      CHARACTER c [FAR, REFERENCE]
      INTEGER * 2 errcode [FAR, REFERENCE]
      END

      INTERFACE TO SUBROUTINE WRITELN_COM [C] ( s,errcode)
      CHARACTER * 80 s [FAR, REFERENCE]
      INTEGER * 2 errcode [FAR, REFERENCE]
      END

      INTERFACE TO SUBROUTINE READLN_COM [C] ( s,errcode)
      CHARACTER * 80 s [FAR, REFERENCE]
      INTEGER * 2 errcode [FAR, REFERENCE]
      END

      INTERFACE TO SUBROUTINE POC [C] (p, c, status)
      INTEGER * 2 p
      CHARACTER c
      INTEGER * 2 status [FAR, REFERENCE]
      END

      INTERFACE TO SUBROUTINE ReadKey [C] (c, scancode)
      CHARACTER c [FAR, REFERENCE]
      CHARACTER scancode [FAR, REFERENCE]
      END


      INTERFACE TO SUBROUTINE GotoXY [C] (x, y)
      INTEGER * 2 x,y
      END

      INTERFACE TO SUBROUTINE WriteChar [C] (c)
      CHARACTER c
      END
